---
title: Bing Country Codes
slug: serpwow/search-api/reference/bing-country-codes
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Bing Country Codes

SerpWow allows you to query Bing using any [Bing-supported country worldwide](https://learn.microsoft.com/en-us/bing/search-apis/bing-web-search/reference/market-codes) using the `country_code` [search parameter](https://docs.trajectdata.com/serpwow/search-api/searches/bing/search). For example, to search for the phrase  `pizza`  in  `France`  the SerpWow search request would be:

:::CodeblockTabs
HTTP

```none
https://api.serpwow.com/live/search?api_key=demo&engine=bing&q=pizza&country_code=fr
```
:::

:::hint{type="info"}
**Country Code & Market Code Parameters**
The  `country_code`  and  `market_code`  query parameters are mutually exclusive and cannot be used in the same request.
:::

***

### Download Country Codes

Download a full list of all of the SerpWow Bing Country Codes in JSON or CSV format:

[serpwow\_bing\_country\_codes.json (2kb)](https://assets.api-cdn.com/serpwow/serpwow_bing_country_codes.json)

[serpwow\_bing\_country\_codes.csv (2kb)](https://assets.api-cdn.com/serpwow/serpwow_bing_country_codes.csv)

***

### List Country Codes

The following values are valid for the `country_code` [search parameter](https://docs.trajectdata.com/serpwow/search-api/searches/bing/search).

| *`Country Code`* | *`Name`*                             |
| ---------------- | ------------------------------------ |
| *`ar`*           | Argentina                            |
| *`au`*           | Australia                            |
| *`at`*           | Austria                              |
| *`bh`*           | Bahrain                              |
| *`by`*           | Belarus                              |
| *`be`*           | Belgium                              |
| *`bz`*           | Belize                               |
| *`br`*           | Brazil                               |
| *`bn`*           | Brunei                               |
| *`bg`*           | Bulgaria                             |
| *`ca`*           | Canada                               |
| *`cl`*           | Chile                                |
| *`co`*           | Colombia                             |
| *`cr`*           | Costa Rica                           |
| *`hr`*           | Croatia                              |
| *`cy`*           | Cyprus                               |
| *`cz`*           | Czech Republic                       |
| *`dk`*           | Denmark                              |
| *`do`*           | Dominican Republic                   |
| *`ec`*           | Ecuador                              |
| *`eg`*           | Egypt                                |
| *`sv`*           | El Salvador                          |
| *`ee`*           | Estonia                              |
| *`fi`*           | Finland                              |
| *`fr`*           | France                               |
| *`ge`*           | Georgia                              |
| *`de`*           | Germany                              |
| *`gr`*           | Greece                               |
| *`gu`*           | Guam                                 |
| *`gt`*           | Guatemala                            |
| *`hn`*           | Honduras                             |
| *`hk`*           | Hong Kong SAR                        |
| *`hu`*           | Hungary                              |
| *`in`*           | India                                |
| *`id`*           | Indonesia                            |
| *`ie`*           | Ireland                              |
| *`im`*           | Isle of Man                          |
| *`il`*           | Israel                               |
| *`it`*           | Italy                                |
| *`je`*           | Jersey                               |
| *`kr`*           | Korea                                |
| *`kg`*           | Kyrgyzstan                           |
| *`lb`*           | Lebanon                              |
| *`lt`*           | Lithuania                            |
| *`mk`*           | Macedonia                            |
| *`my`*           | Malaysia                             |
| *`mt`*           | Malta                                |
| *`mu`*           | Mauritius                            |
| *`mx`*           | Mexico                               |
| *`mn`*           | Mongolia                             |
| *`mm`*           | Myanmar                              |
| *`np`*           | Nepal                                |
| *`nl`*           | Netherlands                          |
| *`nz`*           | New Zealand                          |
| *`ni`*           | Nicaragua                            |
| *`ng`*           | Nigeria                              |
| *`no`*           | Norway                               |
| *`pk`*           | Pakistan                             |
| *`pe`*           | Peru                                 |
| *`pl`*           | Poland                               |
| *`pt`*           | Portugal                             |
| *`ph`*           | Republic of the Philippines          |
| *`re`*           | Reunion                              |
| *`ro`*           | Romania                              |
| *`ru`*           | Russia                               |
| *`sa`*           | Saudi Arabia                         |
| *`sn`*           | Senegal                              |
| *`sr-latn-rs`*   | Serbia                               |
| *`rs`*           | Serbia                               |
| *`sc`*           | Seychelles                           |
| *`sg`*           | Singapore                            |
| *`si`*           | Slovenia                             |
| *`za`*           | South Africa                         |
| *`es`*           | Spain                                |
| *`lk`*           | Sri Lanka                            |
| *`se`*           | Sweden                               |
| *`ch`*           | Switzerland                          |
| *`tw`*           | Taiwan                               |
| *`th`*           | Thailand                             |
| *`tt`*           | Trinidad and Tobago                  |
| *`tr`*           | Turkey                               |
| *`ae`*           | United Arab Emirates                 |
| *`uk`*           | United Kingdom                       |
| *`gb`*           | United Kingdom                       |
| *`us`*           | United States                        |
| *`um`*           | United States Minor Outlying Islands |
| *`ve`*           | Venezuela                            |
| *`vn`*           | Vietnam                              |
| *`ye`*           | Yemen                                |
| *`yu`*           | Yugoslavia                           |
| *`zw`*           | Zimbabwe                             |

